
CoCoA-5 - Bug #945

Emacs UI: comint buffer silently truncates(?) long lines when sending

12 Oct 2016 17:08 - John Abbott

Status: Closed Start date: 12 Oct 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 0.70 hour

Target version: CoCoA-5.3.0 Spent time: 0.70 hour

Description

I sent a long line to an interactive cocoa5 inside emacs (v.24.5).

CoCoA saw only the first part of the input line; it was apparently truncated at about 4096 chars.

This seems to be a known problem with emacs; can we find a reasonable solution?

Related issues:

Related to CoCoA-5 - Bug #433: EMACS UI: trouble with sending a long line Closed 06 Feb 2014

History

#1 - 12 Oct 2016 17:09 - John Abbott

- Related to Bug #433: EMACS UI: trouble with sending a long line added

#2 - 12 Oct 2016 17:15 - John Abbott

Note that issue #433 dealt with the problem of sending long lines from a cocoa5-mode buffer to the interactive CoCoA session.  This issue is very

similar, but somehow different.

I was in an interactive cocoa5 session, and introduced a long line via copy-and-paste (output from another program).

The line was of the form L := [0, 0, 0, .... 0]; though not all the entries were zero.  CoCoA-5 received just the first part of the list, and then issued a

continuation prompt because it had not yet seen the end of the list.

The problem appears to be emacs specific: if I send the same input line to cocoa5 running in a terminal then it all works fine.

#3 - 12 Oct 2016 17:19 - John Abbott

One easy way to avoid the problem is to paste the line into a buffer in cocoa5-mode (e.g. associated to a CoCoA-5 source file), and then send the line

from the buffer.  Issue #433 arranges for long lines to be sent by calling SourceRegion.

To reproduce the original problem print the output of [0 | i in 1..2000] to a file, then append a semicolon ; to the end.  Now try copying-and-pasting

that into as input to an interactive CoCoA-5 session inside emacs.

#4 - 12 Oct 2016 18:25 - John Abbott

The following URL may help:

http://osdir.com/ml/emacs-bug-tracker-gnu/2016-08/msg00144.html
https://cocoa.dima.unige.it/redmine/issues/433
https://cocoa.dima.unige.it/redmine/issues/433


#5 - 18 Jan 2017 17:17 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

#6 - 04 Mar 2020 16:26 - John Abbott

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 10 to 100

- Estimated time set to 0.70 h

This has already been done; see also #672.

#7 - 04 Mar 2020 19:01 - John Abbott

- Status changed from In Progress to Closed
https://cocoa.dima.unige.it/redmine/issues/672
http://www.tcpdf.org

